[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'ExtCtrls' (#lcl)

# TColumnLayout

TColumnLayout is an enumerated type which determines the layout direction used to arranged data in columns.

## Declaration

Source position: extctrls.pp line 712

`type TColumnLayout = (`
`clHorizontalThenVertical,` |  | Items are arranged horizontally, and advances vertically.
`clVerticalThenHorizontal` |  | Items are arranged vertically, and advances horizontally.
`);`

## Description

TColumnLayout is an enumerated type which determines the layout direction used to arranged data in columns. TColumnLayout is the type used to implement the ColumnLayout property in TCustomRadioGroup and TCustomCheckGroup.

## See also

TCustomRadioGroup.ColumnLayout |  | Fill direction for columns on the grouped control.
TCustomCheckGroup.ColumnLayout |  | ColumnLayout - HorizontalThenVertical or vice versa.